/******************************************************************************/
/*!
 * @file   ex_gnss_thread.h
 * @brief  外部ヘッダー
 * @note
 * @date   作成日　2021年12月16日
 * @author Ver.03 Copyright (c) Mobile Create Co., Ltd. 2016 All rights reserved.
 */
/******************************************************************************/
#ifndef _exgnssthread_H_
#define _exgnssthread_H_

#include "ex_common.h"
#include "ex_gnss.h"

// prototype
// CHG-S T.Itai 2022/7/28
#if 0
extern void gnss_thread_create(void);
#else
extern int gnss_thread_create(void);
#endif
// CHG-E T.Itai 2022/7/28
extern void gnss_thread_start(void);
extern GnssInfo gnss_thread_gnssinfo_getter(void);
// ADD-S Y.Hirano 2022/2/18 830POC-29 :flashに残しているGPS情報に未測位時の情報を残す
// GnssInfo gnss_thread_gnssinfo_raw_getter(void); // DEL K.Saho 2023/03/09 Cppcheckで検出された未使用関数を削除
// ADD-E Y.Hirano 2022/2/18 830POC-29 :flashに残しているGPS情報に未測位時の情報を残す
extern void gnss_thread_lte_connect(void);
extern void gnss_thread_ubx_rcv(uart_msg_queue_item* pItem);
extern void gnss_thread_agps_save_completed(void);     // CHG M.Taguchi 2023/2/13 830001-49 :A-GPSデータ格納用ヒープメモリの解放により不正なA-GPSデータがflash書き込みされる
// ADD-S Y.Hirano 2022/2/3/1 830POC-39 :距離発行と時間発行が重複して発行されることがある
extern void gnss_thread_set_send_distance(int distance);
// ADD-E Y.Hirano 2022/2/3/1 830POC-39 :距離発行と時間発行が重複して発行されることがある

// LEDテスト用
extern void gnss_thread_set_parameter_fix_type(int fix_type);
extern void gnss_thread_set_parameter_pdop(int pdop);
extern void gnss_thread_set_parameter_finish(void);

extern void gnss_thread_set_ref_ttff(int64_t ttff);        // ADD M.Taguchi 2022/8/25 A-GPS AssistNow Offline対応
// ADD-S Y.Hirano 2022/3/18 830POC-50 :ttffとagpsダウンロード時間をサーバーへ上げる
extern int gnss_thread_get_ttff(void);
extern int gnss_thread_get_agps_dltime(void);
// ADD-E Y.Hirano 2022/3/18 830POC-50 :ttffとagpsダウンロード時間をサーバーへ上げる
// ADD-S Y.Hirano 2022/3/25 830POC-51 :GPSに関連する時間をモバロケへアップする
extern int gnss_thread_get_ttff_ini_end_dltime(void);
// ADD-E Y.Hirano 2022/3/25 830POC-51 :GPSに関連する時間をモバロケへアップする
#if (DCOM_AGPS_OFFLINE == 1)
extern int agps_flash_load(void);          // ADD M.Taguchi 2022/8/19 A-GPS AssistNow Offline対応
#endif	// #if (DCOM_AGPS_OFFLINE == 1)

unsigned int Sgnss_Get_DropCnt(void);

// ADD-S D.Praveen 2022/07/13 ADD-S D.Praveen 2022/07/13 fota download from s3 bucket
// int gnss_thread_agps_download_client_disconnect(void);   // DEL K.Saho 2022/12/08 830001-8：【FOTA】マージ後の環境でフルモデムFOTAができない	不要になったので削除
// ADD-S D.Praveen 2022/07/13 ADD-S D.Praveen 2022/07/13 fota download from s3 bucket

#endif //_exgnssthread_H_
/****************************************************************************************/
/* FILE END : ex_gnss_thread.h															*/
/****************************************************************************************/
