/******************************************************************************/
/*!
 * @file   ex_logger_thread.h
 * @brief
 * @note
 * @date   作成日　2021年12月16日
 * @author Ver.03 Copyright (c) Mobile Create Co., Ltd. 2016 All rights reserved.
 */
/******************************************************************************/
#ifndef _exloggerthread_H_
#define _exloggerthread_H_

#include <zephyr.h>

#include "ex_common.h"
#include "ex_logger.h"
#include "ex_update_thread.h"       // ADD M.Taguchi 2022/11/4 830設定連動

// prototype
// CHG-S T.Itai 2022/7/28
#if 0
extern void logger_thread_create(void);
#else
extern int logger_thread_create(void);
#endif
// CHG-E T.Itai 2022/7/28
extern void logger_thread_start(void);
// CHG Y.Hirano 2022/2/17 830POC-27 :IM830の時間あわせ修正
// void logger_thread_lte_connect(char* date, int date_len);
extern void logger_thread_lte_connect(void);
#if 0
extern void logger_thread_error_save(char* date, int date_len, char* err_str, int err_len);
extern void logger_thread_warning_save(char* date, int date_len, char* err_str, int err_len);
extern void logger_thread_info_save(char* date, int date_len, char* err_str, int err_len);
extern void logger_thread_dbg_save(char* date, int date_len, char* err_str, int err_len);
#endif
extern void logger_thread_save_mcr(FLASH_LOG_LV log_lv, const char *fmt, ...);
extern void logger_thread_agps_end(void);
extern void logger_thread_mng_info_init(void);		// ADD Y.Hirano 830POC-8 :管理情報のeraseができていない

#if (DCOM_AGPS_OFFLINE == 1)
extern void logger_thread_agps_data(char *agps_buf);    // ADD M.Taguchi 2022/8/9 A-GPS AssistNow Offline対応
#endif	// #if (DCOM_AGPS_OFFLINE == 1)

extern void logger_thread_setting_update(UPDATE_SETTING_OTA *setting_ota);		// ADD M.Taguchi 2022/11/4 830設定連動
extern void logger_thread_mloca_data(LOGGER_MLOCA_RECORD *mloca_record);        // ADD-S K.Saho 2022/11/22 動態情報保存通知追加
extern void logger_thread_temp_log(LOGGER_TEMP_LOG_RECORD *temp_log);           // ADD K.Saho 2023/04/04 【機能追加】起動中のLTE通信不可時に異常ログを保存し圏内復帰時にkibanaに送る
#if (DCOM_AGPS_OFFLINE == 1) // DEL-S K.Saho 2023/03/09 Cppcheckで検出された未使用関数を削除
extern void logger_thread_agps_mng_delete(void);       // ADD M.Taguchi 2023/2/10 830001-49 :A-GPSデータ格納用ヒープメモリの解放により不正なA-GPSデータがflash書き込みされる
#endif // #if (DCOM_AGPS_OFFLINE == 1) // DEL-E K.Saho 2023/03/09 Cppcheckで検出された未使用関数を削除
extern void logger_thread_cutomer_code(char *);									// ADD Y.Saisho 2023/4/6 830001-87:端末情報取得APIで得られる顧客コードを端末に保存していない
extern void logger_thread_serial_no(char *);  // ADD D.Praveen 2023/04/12 830001-102 :【機能追加】シリアル番号が消えた際にS3からjsonファイルを読み取り復旧させる
// CHG-S D.Praveen 2023/04/21 830001-123 : pdop値を830Configからdeviceinformation.jsonに移す
#if 0
extern void logger_thread_loglevel(char);										// ADD Y.Saisho 2023/4/13 830001-115:設定データ領域にログレベル追加
#else
extern void logger_thread_param_info(LOGGER_PARAM_RECORD *param_record);	
#endif
// CHG-E D.Praveen 2023/04/21 830001-123 : pdop値を830Configからdeviceinformation.jsonに移す

// ADD-S K.Saho 2023/03/27 圏外時動態情報の送信処理追加
extern LOGGER_MLOCA_SECTOR* logger_thread_get_unsent_mloca();
extern void logger_thread_update_mloca();
// ADD-E K.Saho 2023/03/27 圏外時動態情報の送信処理追加

extern void logger_thread_cmd_mode(bool flg);
extern void logger_thread_mctest_start(void);
extern void logger_thread_mctest_end(void);
extern void logger_thread_mctest_flg_ok(void);
extern void logger_thread_mctest_flg_ng(void);

#endif //_exloggerthread_H_
/****************************************************************************************/
/* FILE END : ex_logger_thread.h														*/
/****************************************************************************************/
