/******************************************************************************/
/*!
 * @file   ex_sensor_thread.h
 * @brief  外部ヘッダー
 * @note
 * @date   作成日　2021年12月16日
 * @author Ver.03 Copyright (c) Mobile Create Co., Ltd. 2016 All rights reserved.
 */
/******************************************************************************/
#ifndef _exsensorthread_H_
#define _exsensorthread_H_

// 温湿度センサ管理
typedef struct
{
	float	humi;		// 湿度
	float	temp;		// 温度
} SENSOR_THREAD_HUMITEMP_INFO;



// 加速度センサ管理
typedef struct
{
	float	accl_x;		// x軸加速度(回転演算)
	float	accl_y;		// y軸加速度(回転演算)
	float	accl_z;		// z軸加速度(回転演算)
	float	madw_roll;	// ロール
	float	madw_pitch;	// ピッチ
	float	madw_yaw;	// ヨー
} SENSOR_THREAD_IMU_INFO;

// prototype
// CHG-S T.Itai 2022/7/28
#if 0
extern void sensor_thread_create(void);
#else
extern int sensor_thread_create(void);
#endif
// CHG-E T.Itai 2022/7/28
extern void sensor_thread_start(void);
extern SENSOR_THREAD_HUMITEMP_INFO sensor_thread_humitemp_getter(void);
extern SENSOR_THREAD_IMU_INFO sensor_thread_imu_getter(void);


// uint32_t sensor_thread_cpu_usage_getter(void); // DEL K.Saho 2023/03/09 Cppcheckで検出された未使用関数を削除
// CHG Y.Hirano 2022/3/8 830POC-48 :モバロケへアップする情報を追加
// double sensor_thread_accl_y_square(void);
extern void sensor_thread_accl_square(double* x_square, double* y_square, double* z_square);

// ADD-S Y.Hirano 2022/318 830POC-49 :GNSS測位時間改善
extern void sonsor_sem_take(void);
extern void sonsor_sem_give(void);
// ADD-E Y.Hirano 2022/318 830POC-49 :GNSS測位時間改善

// ADD-S Y.Saisho 2023/5/22 モバロケスレッドの死活監視追加
#if( DCOM_MLOCA_HEALTHCHK == 1 )
extern void Ssens_Enable_HealthCheck(void);		// ヘルスチェック有効化
extern void Ssens_Disable_HealthCheck(void);	// ヘルスチェック無効化
extern void Ssens_Clear_HealthCheckCnt(void) ;	// ヘルスチェックカウンタのクリア
#endif // ( DCOM_MLOCA_HEALTHCHK == 1 )
// ADD-E Y.Saisho 2023/5/22 モバロケスレッドの死活監視追加

#endif //_exsensorthread_H_
/****************************************************************************************/
/* FILE END : ex_sensor_thread.h														*/
/****************************************************************************************/
