/******************************************************************************/
/*!
 * @file   ex_update_thread.h
 * @brief
 * @note
 * @date   作成日　2022年09月29日
 * @author Ver.03 Copyright (c) Mobile Create Co., Ltd. 2016 All rights reserved.
 */
/******************************************************************************/
#ifndef _ex_update_thread_H_
#define _ex_update_thread_H_


// ===== struct =====
// ADD-S M.Taguchi 2022/11/1 830設定連動
// 設定連動値格納用構造体
typedef struct
{
	uint8_t res_product;		// プロダクト
	uint8_t dummy1;
	uint16_t res_ver;			// フラッシュバージョン
	uint32_t res_timeIssue;		// 時間発行間隔(s)
	uint32_t res_distIssue;		// 距離発行間隔(m)
	uint8_t res_tempIssue;		// 温湿度センサーデータ発行
	uint8_t res_inertiaIssue;	// 慣性データセンサ発行切替
	uint8_t res_devVolume1;		// 初回位置発行時効果音設定
	uint8_t res_devVolume2;		// 圏外時効果音設定
	int16_t res_devVolume3;		// GNSS未測位時効果音設定		// CHG M.Taguchi 2023/4/13 830001-110 :【設定連動】GNSS未測位音にマイナスの値を配信すると値がオーバーフローしている
	uint16_t dummy2;
	// uint32_t res_pdopFilter;	// pdopフィルタ値 			 // CHG D.Praveen 2023/04/21 830001-123 : pdop値を830Configからdeviceinformation.jsonに移す
	uint8_t res_reboot;			// 設定連動後自動リブート設定
	uint8_t res_noSigSave;		// 圏外時動態保存
	char reserved1;
	char reserved2;
	char reserved3;
	char reserved4;
	char reserved5;
	char reserved6;
	char reserved7;
	char reserved8;
} UPDATE_SETTING_OTA;
// ADD-E M.Taguchi 2022/11/1 830設定連動

// prototype
#if 0
extern void update_thread_create(void);
#else
extern int update_thread_create(void);
#endif
extern void update_thread_start(void);
extern bool update_thread_full_modem_status_getter(void);
extern void update_thread_fota_update_start(void);
extern void update_thread_setting_complete(void);		// ADD M.Taguchi 2022/11/8 830設定連動
extern void update_thread_setting_failure(void);		// ADD M.Taguchi 2022/11/9 830設定連動
extern void Supdm_send_kibana(int, const char*, int, char*); // ADD D.Praveen 2022/10/24 s3ログイベントIDsとjson形式を追加
// ADD-S M.Taguchi 2022/11/2 830設定連動
extern char *mc_api_setting_id_getter(void);
// int mc_api_auto_reload_getter(void); // DEL K.Saho 2023/03/09 Cppcheckで検出された未使用関数を削除
// ADD-E M.Taguchi 2022/11/2 830設定連動

// ADD-S D.Praveen 2022/10/20 fotaのダウンロード中に現在のバージョンをjsonバージョンでチェックする機能を追加
extern char *get_current_modem_version(void);
extern char *get_current_apl_version(void);
// ADD-E D.Praveen 2022/10/20 fotaのダウンロード中に現在のバージョンをjsonバージョンでチェックする機能を追加
extern void setting_log_send(void);						// ADD M.Taguchi 2023/4/3 830001-79 :起動時に設定連動のパラメータ（自身の端末内）のFLASHデータをkibanaにあげる
extern void update_thread_serialno_recover_start(void); // ADD D.Praveen 2023/04/12 830001-102 :【機能追加】シリアル番号が消えた際にS3からjsonファイルを読み取り復旧させる
extern void update_thread_get_param_info_start(void);   // ADD D.Praveen 2023/04/21 830001-123 : pdop値を830Configからdeviceinformation.jsonに移す
extern unsigned int Supdm_Get_KibanaSemNgCnt(void); 	// Supdm_send_kibana()のセマフォ取得NGカウントの取得
// CHG-S D.Praveen 2023/04/21 830001-123 : pdop値を830Configからdeviceinformation.jsonに移す
#if 0
void process_recovery_serialno(void); // ADD D.Praveen 2023/04/12 830001-102 :【機能追加】シリアル番号が消えた際にS3からjsonファイルを読み取り復旧させる
#else 
void process_get_param_info(bool is_sno_recovery); 
#endif
// CHG-E D.Praveen 2023/04/21 830001-123 : pdop値を830Configからdeviceinformation.jsonに移す
extern void update_thread_periodic_auth(void);			// ADD M.Taguchi 2023/05/23 830001-158 :モバロケスレッドの定期実行中に10秒毎の時間発行が行われない
extern void update_thread_ssl_update_start(void);
extern bool chk_ssl_exec_time(char* ssl_expire_date);
#endif //_ex_update_thread_H_
/****************************************************************************************/
/* FILE END : ex_update_thread.h														*/
/****************************************************************************************/
